void blinkUpperLimit() {
  int originalRGB[] = {currentCtrlLedRgb[0], currentCtrlLedRgb[1], currentCtrlLedRgb[2]};
  for (int i = 0; i < 5; i++) {
    setControlLEDColor(MAX_CTRLBRIGHTNESS, MAX_CTRLBRIGHTNESS / 4, MAX_CTRLBRIGHTNESS / 4);
    delay(100);
    setControlLEDColor(0, 0, 0);
    delay(100);
  }
  setControlLEDColor(originalRGB[0], originalRGB[1], originalRGB[2]);
}

void blinkLowerLimit() {
  int originalRGB[] = {currentCtrlLedRgb[0], currentCtrlLedRgb[1], currentCtrlLedRgb[2]};
  for (int i = 0; i < 5; i++) {
    setControlLEDColor(MAX_CTRLBRIGHTNESS/4, MAX_CTRLBRIGHTNESS / 4, MAX_CTRLBRIGHTNESS);
    delay(100);
    setControlLEDColor(0, 0, 0);
    delay(100);
  }
  setControlLEDColor(originalRGB[0], originalRGB[1], originalRGB[2]);
}
